Create Hold Flight Order
curl --request POST \
--url https://api.aisa.one/apis/v1/duffel/flights/orders/hold-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "hold",
"selected_offers": [
"<string>"
],
"passengers": [
{
"id": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"born_on": "2023-12-25",
"email": "jsmith@example.com",
"phone_number": "<string>",
"infant_passenger_id": "<string>"
}
]
}
}
'import requests
url = "https://api.aisa.one/apis/v1/duffel/flights/orders/hold-create"
payload = { "data": {
"type": "hold",
"selected_offers": ["<string>"],
"passengers": [
{
"id": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"born_on": "2023-12-25",
"email": "jsmith@example.com",
"phone_number": "<string>",
"infant_passenger_id": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'hold',
selected_offers: ['<string>'],
passengers: [
{
id: '<string>',
given_name: '<string>',
family_name: '<string>',
born_on: '2023-12-25',
email: 'jsmith@example.com',
phone_number: '<string>',
infant_passenger_id: '<string>'
}
]
}
})
};
fetch('https://api.aisa.one/apis/v1/duffel/flights/orders/hold-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "ord_0000BAzrYIJiDdmFJKIhcy",
"booking_reference": "DJMT4D",
"total_amount": "<string>",
"total_currency": "<string>",
"live_mode": true,
"documents": [
{
"id": "<string>",
"type": "electronic_ticket",
"unique_id": "<string>"
}
],
"available_actions": [
"<string>"
]
}
}Orders
Create Hold Flight Order
Hold the selected order without immediate payment; unpaid orders expose payment_required_by.
POST
https://api.aisa.one/apis/v1
/
duffel
/
flights
/
orders
/
hold-create
Create Hold Flight Order
